For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI ReferenceChangelogModel Versioning
GuidesAPI ReferenceChangelogModel Versioning
    • Getting Started
    • Authentication
    • API Versioning
    • SDKs
    • Deployments
    • Error Codes
    • Async Processing
  • Endpoints
      • POSTCreate Processor Run
      • GETGet Processor Run
      • DELDelete Processor Run
      • POSTCancel Processor Run
      • GETList Processor Runs
      • POSTCreate Processor
      • GETList Processors
      • POSTUpdate Processor
      • GETList Processor Versions
      • POSTPublish Processor
      • GETGet Processor Version
      • GETGet Batch Processor Run
  • Webhook Events
LogoLogo
EndpointsLegacy

Get Batch Processor Run

Deprecated
GET
/batch_processor_runs/:id
GET
/batch_processor_runs/:id
1import { ExtendClient } from "extend-ai";
2
3const client = new ExtendClient({ token: "YOUR_TOKEN" });
4await client.batchProcessorRun.get("bpr_id_here");
1{
2 "success": true,
3 "batchProcessorRun": {
4 "object": "batch_processor_run",
5 "id": "batch_processor_run_Xj8mK2pL9nR4vT7qY5wZ",
6 "processorId": "ex_Xj8mK2pL9nR4vT7qY5wZ",
7 "processorVersionId": "exv_xK9mLPqRtN3vS8wF5hB2cQ",
8 "processorName": "Invoice Processor",
9 "metrics": {
10 "numFiles": 1.1,
11 "numPages": 1.1
12 },
13 "status": "PROCESSING",
14 "source": "EVAL_SET",
15 "runCount": 1,
16 "options": {
17 "fuzzyMatchFields": [
18 "string"
19 ],
20 "excludeFields": [
21 "string"
22 ]
23 },
24 "createdAt": "2024-03-21T15:30:00Z",
25 "updatedAt": "2024-03-21T16:45:00Z",
26 "sourceId": "ev_1234"
27 }
28}
Retrieve details about a batch processor run, including evaluation runs. **Deprecated:** This endpoint is maintained for backwards compatibility only and will be replaced in a future API version. Use [Get Evaluation Set Run](https://docs.extend.ai/2026-02-09/developers/api-reference/endpoints/evaluation/get-evaluation-set-run) for interacting with evaluation set runs.
Was this page helpful?
Previous

Parse Run Processed

Next
Built with

Retrieve details about a batch processor run, including evaluation runs.

Deprecated: This endpoint is maintained for backwards compatibility only and will be replaced in a future API version. Use Get Evaluation Set Run for interacting with evaluation set runs.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

The unique identifier of the batch processor run to retrieve.

Example: "bpr_Xj8mK2pL9nR4vT7qY5wZ"

Headers

x-extend-api-version"2026-02-09"Optional

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

x-extend-workspace-idstringOptional

The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.

Response

Successfully retrieved batch processor run
successboolean
batchProcessorRunobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error